#
# spec file for package xbsql
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lib_name lib%{name}0
Name:           xbsql
Version:        0.11
Release:        260.9
Summary:        SQL Wrapper for the XBase Library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            http://www.quaking.demon.co.uk/xbsql.html
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}.diff
Patch1:         xbsql-0.11-bufferoverflowstrncat.patch
# PATCH-FIX-OPENSUSE xbase64.patch -- fix build with latest xbase(64) 3.1.2 in Factory
Patch2:         xbase64.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  xbase-devel

%description
XBase DBMS is a C++ library that supports access to XBase type data
files and indexes (.dbf and related files, for example). It provides
record level access to these files.

%package -n %{lib_name}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{lib_name}
XBase DBMS is a C++ library that supports access to XBase type data
files and indexes (.dbf and related files, for example). It provides
record level access to these files.

This package contains shared libraries

%package devel
Summary:        Files for developing with %{name}
Group:          Development/Libraries/C and C++
Requires:       %{lib_name} = %{version}

%description devel
XBase DBMS is a C++ library that supports access to XBase type data
files and indexes (.dbf and related files, for example). It provides
record level access to these files.

This package contains development files

%prep
%setup -q
%patch0
%patch1
%patch2 -p1

%build
autoreconf -fi
%configure --disable-static
rm xbsql/lex.yy.c
%make_build -C xbsql lex.yy.c
%make_build

%check
cd test
%make_build
./runtests

%install
%make_install
#
# solve file conflict with perl-XML-XQL
#
mv %{buildroot}%{_bindir}/xql %{buildroot}%{_bindir}/XQL
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%doc AUTHORS TODO COPYING README doc
%{_bindir}/*

%files -n %{lib_name}
%{_libdir}/libxbsql.so.*

%files devel
%{_includedir}/*
%{_libdir}/libxbsql.so

%changelog
* Mon Aug 23 2021 Jan Engelhardt <jengelh@inai.de>
- Remove --with-pic which has no effect with --disable-static.
- Trim old specfile constructs.
* Sat Sep  2 2017 wbauer@tmo.at
- Add xbase64.patch to fix build with latest xbase(64) 3.1.2 in
  Factory
* Tue Apr 21 2015 mpluskal@suse.com
- Cleanup with spec-cleaner
- Split devel and libraries packages
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Mar  2 2009 crrodriguez@suse.de
- fix build with current compilers, buffer overflow due to
  use of strncat..
* Fri Jan 16 2009 crrodriguez@suse.de
- disable static libraries
* Fri Feb 29 2008 coolo@suse.de
- fix build
* Fri Nov  9 2007 lmichnovic@suse.cz
- added xbase-devel to BuildReq due to package split-off
* Thu Mar 29 2007 stbinner@suse.de
- add bison and ncurses-devel to buildrequires
* Sat Sep  9 2006 dmueller@suse.de
- use RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 dmueller@suse.de
- fix build
* Thu Nov 11 2004 coolo@suse.de
- fix file list for debug package
* Mon Nov 24 2003 ro@suse.de
- fix typo in specfile
* Sun Nov 23 2003 adrian@suse.de
- solve file conflict with perl-XML-XQL
  ( /usr/bin/xql -> /usr/bin/XQL )
* Wed Nov 19 2003 adrian@suse.de
- fix for lib64
* Tue Nov 18 2003 adrian@suse.de
- initial package of version 0.11
